package com.guwan.backend.annotation;

import java.lang.annotation.*;

@Target(ElementType.METHOD)
@Retention(RetentionPolicy.RUNTIME)
@Documented
public @interface OperationLog {
    /**
     * 操作描述
     */
    String description() default "";

    /**
     * 操作类型（如：新增、修改、删除、查询等）
     */
    String operationType() default "";
} 