package com.guwan.backend.dto.user;

import com.fasterxml.jackson.annotation.JsonFormat;
import lombok.Data;
import org.springframework.format.annotation.DateTimeFormat;

import java.time.LocalDateTime;

@Data
public class UserDTO {
    private Long id;
    private String username;
    private String nickname;
    private String avatar;
    private String email;
    private String phone;
    private Integer gender;
    private String bio;
    @DateTimeFormat //此注解用来接收字符串类型的参数封装成LocalDateTime类型
    @JsonFormat //此注解将date类型数据转成字符串响应出去
    private LocalDateTime createdTime;
    @DateTimeFormat
    @JsonFormat
    private LocalDateTime lastLoginTime;
    private Integer status;
    private String token;
} 